SHAKE(1)

NAME
Shake - testing engine for lua

SYNOPSIS
shake [options] [filename]

DESCRIPTION
Shake is a simple and transparent test engine for Lua that assumes that tests only use standard assert and print calls.

Runs a test file called filename (assuming "test.lua" by default) in the current directory or any of its subdirectories if the -r option is given.

OPTIONS

-h, --help
    Prints this help message

-r, --recursive Recursively scans subdirectories for "test.lua" files and runs them

-v, --version
    Prints the Shake version